clear
clear matrix
set matsize  400
 
 
* uploading the data to stata 
insheet using credit_ratings_esg_regulation_2022.csv
 




* generate year dummies
tabulate year_calendar   , generate (y) 

 

* generating variables
generate cpi_cor=cpi/168.8
 

* dropping observtions
drop if log_sales==.

 
* summary statistics
sum esg_overall ind_adj_esg_overall esg_env esg_social esg_gov ind3_adj_esg_env ind3_adj_social ind3_adj_esg_gov 

* generate detai lsummary stats
sum ind_adj_esg_overall, detail


* generate dummies for high and low values
 
sum sent, detail 

generate h_sent=0
replace h_sent=1 if sent>=-.14

generate l_sent=0
replace l_sent=1 if sent<-.32

* generate quarter variables
generate q_ind_adj_esg_overall=1
replace q_ind_adj_esg_overall=2 if ind_adj_esg_overall>2.4 & ind_adj_esg_overall<=3.8
replace q_ind_adj_esg_overall=3 if ind_adj_esg_overall>3.8 & ind_adj_esg_overall<=5.4
replace q_ind_adj_esg_overall=4 if ind_adj_esg_overall>5.4
 
* mean values of car55 for each quarter 
tabstat car55 , by(q_ind_adj_esg_overall)

* t test whether the means in top and bottom quarter are equal
 ttest car55 if   q_ind_adj_esg_overall==1 | q_ind_adj_esg_overall==4, by(q_ind_adj_esg_overall)

* label variables
 label variable log_sales "Log (sales)"
 

 * generating  regression tables
eststo clear

eststo:quietly reg car55 fortune_admired   log_sales ebitda m_lev recess m_b magnitude  if upgrade==1   , robust  cluster(ticker) 
eststo:quietly reg car55 fortune_admired   log_sales ebitda m_lev recess m_b magnitude y2-y20 if upgrade==1    , robust  cluster(ticker)  
eststo:quietly reg car55 fortune_admired   log_sales ebitda m_lev recess m_b magnitude sic1_1-sic1_9 if upgrade==1    , robust cluster(ticker)  
eststo:quietly reg car55 fortune_admired  log_sales ebitda m_lev recess m_b magnitude y2-y20 sic1_1-sic1_9 if upgrade==1   , robust cluster(ticker)    

esttab using esg_tables_4_admired.csv  ,replace label b(3) p(3) keep(fortune_admired)   star(* 0.1 ** 0.05 *** 0.01  ) scalars(F) r2  

 
